Bug 216139

Summary: libgdiplus duplicates symbols from libcairo
Product: [Fedora] Fedora Reporter: Joe Orton <jorton>
Component: libgdiplusAssignee: Xavier Lamien <lxtnow>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 9   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-07-14 10:27:42 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 216170, 235705    

Description Joe Orton 2006-11-17 09:21:09 EST
Description of problem:
Clashes for /usr/lib/libgdiplus.so.0.0.0:
  with /usr/lib/libcairo.so.2.9.2 => cairo_append_path cairo_new_path (...214
symbols omitted...) cairo_get_operator

looks like a statically linked copy of libcairo - is there a reason why the
system copy isn't used, or otherwise why this copy is exported?

Version-Release number of selected component (if applicable):
libgdiplus-1.1.17-1.fc6.i386
Comment 1 Matthias Clasen 2006-11-17 12:21:03 EST
thats terrible
Comment 2 Alexander Larsson 2006-11-20 12:18:39 EST
I think it has a copy of an older (API-incompatible version) of cairo.
But i think upstream is working on using the system version now.
Comment 3 Matthias Clasen 2006-11-22 11:46:28 EST
Do you have an upstream bug reference for that work ?
Comment 4 Alexander Larsson 2006-11-23 04:46:12 EST
No, its just something i think i saw at some point.
Comment 5 Matthias Clasen 2007-04-13 19:33:13 EDT
Not going to be fixed in time for FC7
Comment 6 Matthias Clasen 2007-10-12 15:01:23 EDT
I see upstream svn now has the configure.in parts for using system cairo no
longer commented out (but still marked as "unsupported")
Comment 7 Bug Zapper 2008-05-13 22:28:38 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-06-09 18:21:07 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-07-14 10:27:42 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.